#include "satrotor.h"
#include <stdio.h>
#include <stdlib.h>
#include <netdb.h>
#include <netinet/in.h>
#define _GNU_SOURCE
#include <string.h>
#include <sys/types.h>
#include <dirent.h>
#include <signal.h>
#include <unistd.h>
#include <time.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <time.h>

int main (void)
{
  char buffer[200];
  int band = -1;
  int i;
  int x;

  const struct timespec waittime = { 0, 200000000L };


  printf( "Content-type: text/html\n\n");
  fflush(stdout);

  if( getenv("REQUEST_METHOD") != NULL && !strcmp( "GET", getenv("REQUEST_METHOD"))) {
     if( getenv("QUERY_STRING") != NULL) {
       strcpy( buffer, getenv("QUERY_STRING"));
       if( strstr( buffer, "band=")) {
         sscanf( buffer, "band=%d", &band);
       }
     }
   }

  if( band < 0) { 
    printf( "Kein Band angegeben\n");
    exit(1); 
  }

  wiringPiSetup () ;
 
  //
  pinMode(HUBM8, OUTPUT);
  pinMode(HUBM7, OUTPUT);
  pinMode(HUBM6, OUTPUT);
  pinMode(HUBM5, OUTPUT);
  pinMode(HUBM4, OUTPUT);
  pinMode(HUBM3, OUTPUT);
  pinMode(HUBM2, OUTPUT);
  pinMode(HUBM1, OUTPUT);
  //
  pinMode(VV2, OUTPUT);
  pinMode(VV70, OUTPUT);
  pinMode(VV23, OUTPUT);
  pinMode(RESET, OUTPUT);
  pinMode(POL1, OUTPUT);
  pinMode(POL2, OUTPUT);
  pinMode(POL3, OUTPUT);
  pinMode(POL4, OUTPUT);
  //
  pinMode(RESET1, OUTPUT);
  pinMode(RESET2, OUTPUT);
  pinMode(ALARM1, OUTPUT);
  pinMode(ALARM2, OUTPUT);
  pinMode(PTT1, OUTPUT);
  pinMode(PTT2, OUTPUT);
  pinMode(POWER1, OUTPUT);
  pinMode(POWER2, OUTPUT);
  //
  
  switch( band) {
    case 0:
             digitalWrite(VV2, LOW);
             digitalWrite(VV70, LOW);
             digitalWrite(VV23, LOW);
             break; 
    case 2:
             digitalWrite(VV2, HIGH); 
             break;
    case 70:
             digitalWrite(VV70, HIGH);
             break;
    case 23:
             digitalWrite(VV23, HIGH);
             break;
    default:
             break;
  }
 
  return 0 ;
}

